IBM Rational Quality Manager 至 6.0.6 Web UI 跨站点脚本漏洞

CVE编号

CVE-2018-1404

利用情况

暂无

补丁情况

N/A

披露时间

2018-10-03
漏洞描述
IBM Rational Quality Manager(RQM)是美国IBM公司的一套协作的、基于Web的质量管理解决方案。该方案在软件开发的整个生命周期之内,提供了测试规划与测试评价管理方法,并能够共享信息、自动化加快项目进度以及报告制定的发布决策。

IBM RQM 6.0版本至6.0.6版本中存在跨站脚本漏洞。远程攻击者可利用该漏洞在Web UI中注入任意的JavaScript代码。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://www-01.ibm.com/support/docview.wss?uid=ibm10733078
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 ibm rational_quality_manager * From
(including)
5.0
Up to
(including)
5.0.2
运行在以下环境
应用 ibm rational_quality_manager * From
(including)
6.0
Up to
(including)
6.0.6
运行在以下环境
系统 alibaba_cloud_linux_2.1903 ipa * Up to
(excluding)
0.27.0-2.1.al7
运行在以下环境
系统 alpine_3.10 ipa * Up to
(excluding)
1.6.37-r0
运行在以下环境
系统 alpine_3.11 ipa * Up to
(excluding)
1.6.37-r0
运行在以下环境
系统 alpine_3.12 ipa * Up to
(excluding)
1.6.37-r0
运行在以下环境
系统 alpine_3.13 ipa * Up to
(excluding)
1.6.37-r0
运行在以下环境
系统 alpine_3.6 ipa * Up to
(excluding)
1.6.37-r0
运行在以下环境
系统 alpine_3.7 ipa * Up to
(excluding)
1.6.37-r0
运行在以下环境
系统 alpine_3.8 ipa * Up to
(excluding)
1.6.37-r0
运行在以下环境
系统 alpine_3.9 ipa * Up to
(excluding)
1.6.37-r0
运行在以下环境
系统 alpine_edge ipa * Up to
(excluding)
1.6.37-r0
运行在以下环境
系统 amazon linux_2 ipa * Up to
(excluding)
4.6.8-5.amzn2
运行在以下环境
系统 amazon_2 ipa * Up to
(excluding)
4.6.8-5.amzn2
运行在以下环境
系统 centos_7 ipa * Up to
(excluding)
0.27.0-2.el7_6
运行在以下环境
系统 centos_8 ipa * Up to
(excluding)
4.8.7-12.module+el8.3.0+8222+c1bff54a
运行在以下环境
系统 debian_10 ipa * Up to
(excluding)
1.6.36-6
运行在以下环境
系统 debian_8 ipa * Up to
(excluding)
3.2.0+dfsg-1+deb7u1
运行在以下环境
系统 debian_9 ipa * Up to
(excluding)
3.3.7+dfsg-2+deb9u1
运行在以下环境
系统 fedora_27 ipa * Up to
(excluding)
2.0.0-6.fc27
运行在以下环境
系统 fedora_28 ipa * Up to
(excluding)
2.0.0-6.fc28
运行在以下环境
系统 oracle linux_7 ipa * Up to
(excluding)
0.27.0-2.el7_6
运行在以下环境
系统 oracle_7 ipa * Up to
(excluding)
0.27.0-2.el7_6
运行在以下环境
系统 oracle_8 ipa * Up to
(excluding)
0.6.0-3.module+el8.3.0+7868+2151076c
运行在以下环境
系统 redhat_7 exiv2 * Up to
(excluding)
0:0.27.0-2.el7_6
运行在以下环境
系统 redhat_7 ipa-client * Up to
(excluding)
0:4.6.8-5.el7
运行在以下环境
系统 redhat_8 ipa * Up to
(excluding)
4.8.7-12.module+el8.3.0+8222+c1bff54a
CVSS3评分
5.4
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    已更改
  • 用户交互
    需要
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-79 在Web页面生成时对输入的转义处理不恰当(跨站脚本)
阿里云安全产品覆盖情况